//
//  NodeInfo.swift
//  Pachyderm
//
//  Created by Shadowfacts on 1/22/22.
//  Copyright © 2022 Shadowfacts. All rights reserved.
//

import Foundation

public struct NodeInfo: Decodable, Sendable, Equatable {
    public let version: String
    public let software: Software
    
    public struct Software: Decodable, Sendable, Equatable {
        public let name: String
        public let version: String
    }
}
