//
//  RelationshipProtocol.swift
//  Pachyderm
//
//  Created by Shadowfacts on 3/26/23.
//

import Foundation

public protocol RelationshipProtocol {
    var accountID: String { get }
    var following: Bool { get }
    var followedBy: Bool { get }
    var blocking: Bool { get }
    var muting: Bool { get }
    var mutingNotifications: Bool { get }
    var followRequested: Bool { get }
    var domainBlocking: Bool { get }
    var showingReblogs: Bool { get }
    var endorsed: Bool { get }
}
